package com.gct.tool.service.centralbase;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.gct.tool.entity.centralbase.CbCdWellSource;
import org.springframework.stereotype.Service;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * <p>
 * 单井基础信息 服务实现类
 * </p>
 *
 * @author wsy
 * @since 2021-01-19
 */
@Service
public class CbCdWellSourceServiceImpl extends ServiceImpl<CbCdWellSourceMapper, CbCdWellSource> implements CbCdWellSourceService {

    @Override
    public Map<String, List<String>> divideWellByWorkArea() {
        Map<String,List<String>> map = new HashMap<>();
        this.list().forEach(cbCdWellSource -> {
            String workArea = cbCdWellSource.getStationId().split("@")[0];
            map.putIfAbsent(workArea,new ArrayList<>());
            map.get(workArea).add(cbCdWellSource.getWellId());
        });
        return map;
    }
}
