package com.gct.tool;

import com.spring4all.swagger.EnableSwagger2Doc;
import org.mybatis.spring.annotation.MapperScan;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.boot.context.properties.EnableConfigurationProperties;

@SpringBootApplication
@MapperScan("com.gct.tool.mapper*")//要扫描的dao包
@EnableSwagger2Doc //启用swagger注解
@EnableConfigurationProperties
public class DataAnalyseToolApplication {

    public static void main(String[] args) {
        SpringApplication.run(DataAnalyseToolApplication.class, args);
    }

}
