package com.gct.tool.quartztask;

import org.quartz.JobExecutionContext;
import org.quartz.JobExecutionException;
import org.springframework.context.annotation.AnnotationConfigApplicationContext;
import org.springframework.http.HttpEntity;
import org.springframework.http.HttpHeaders;
import org.springframework.http.MediaType;
import org.springframework.http.ResponseEntity;
import org.springframework.scheduling.quartz.QuartzJobBean;
import org.springframework.web.client.RestTemplate;

/**
 * @author xusirui 2023/7/9
 */
public class LoadBaseDataTask extends QuartzJobBean {\

    RestTemplate restTemplate;

    public LoadBaseDataTask(){
        AnnotationConfigApplicationContext applicationContext = new AnnotationConfigApplicationContext();
        applicationContext.register(RestTemplate.class);
        applicationContext.refresh();
        restTemplate= (RestTemplate) applicationContext.getBean("restTemplate");
    }

    public String getToken(){
        HttpHeaders headers = new HttpHeaders();
        headers.setContentType(MediaType.APPLICATION_JSON);
        HttpEntity request1 = new HttpEntity<>(request, headers);
        log.info("请求报文：{}",request);

        ResponseEntity<String> jsonObjectResponseEntity = restTemplate.postForEntity(url, request1, String.class);
        String resp = jsonObjectResponseEntity.getBody();
        log.info("响应报文：{}",resp);

    }


    @Override
    protected void executeInternal(JobExecutionContext context) throws JobExecutionException {


    }
}
